Read the airline profile
curl --request GET \
--url https://flyhub.app/api/v1/va/airline \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flyhub.app/api/v1/va/airline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://flyhub.app/api/v1/va/airline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"name": "<string>",
"shortName": "<string>",
"slug": "<string>",
"summary": "<string>",
"icaoCode": "<string>",
"callsign": "<string>",
"homeIcao": "<string>",
"homeCountryCode": "<string>",
"status": "active",
"businessModel": "<string>",
"applicationMode": "<string>",
"pilotCount": 1,
"fleetCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"apiVersion": "2026-07-21"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Read airline profile
Returns the profile attached to the bearer key. The airline is derived from the key; no airline ID can be supplied by the caller. This resource is not paginated.
GET
/
api
/
v1
/
va
/
airline
Read the airline profile
curl --request GET \
--url https://flyhub.app/api/v1/va/airline \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flyhub.app/api/v1/va/airline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://flyhub.app/api/v1/va/airline"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"name": "<string>",
"shortName": "<string>",
"slug": "<string>",
"summary": "<string>",
"icaoCode": "<string>",
"callsign": "<string>",
"homeIcao": "<string>",
"homeCountryCode": "<string>",
"status": "active",
"businessModel": "<string>",
"applicationMode": "<string>",
"pilotCount": 1,
"fleetCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"apiVersion": "2026-07-21"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Was this page helpful?